zenilib: zenilib/jni/external/libpng/pngerror.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
pngerror.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros

#define | fixed_message "fixed point overflow in "
#define | fixed_message_ln ((sizeof fixed_message)-1)
#define | isnonalpha(c) ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))
#define | PNG_MAX_ERROR_TEXT 64

## Functions

void PNGAPI | png_benign_error (png_structp png_ptr, png_const_charp error_message)
void PNGAPI | png_chunk_benign_error (png_structp png_ptr, png_const_charp error_message)
void PNGAPI | png_chunk_warning (png_structp png_ptr, png_const_charp warning_message)
static void | png_default_warning (png_structp png_ptr, png_const_charp warning_message)
static void | png_format_buffer (png_structp png_ptr, png_charp buffer, png_const_charp error_message)
png_charp | png_format_number (png_const_charp start, png_charp end, int format, png_alloc_size_t number)
void | png_formatted_warning (png_structp png_ptr, png_warning_parameters p, png_const_charp message)
static | PNG_FUNCTION (void, png_default_error, PNGARG((png_structp png_ptr, png_const_charp error_message)), PNG_NORETURN)
| PNG_FUNCTION (void, PNGAPI png_error,(png_structp png_ptr, png_const_charp error_message), PNG_NORETURN)
| PNG_FUNCTION (void, png_fixed_error,(png_structp png_ptr, png_const_charp name), PNG_NORETURN)
static | PNG_FUNCTION (void, png_default_error,(png_structp png_ptr, png_const_charp error_message), PNG_NORETURN)
| PNG_FUNCTION (void, PNGAPI png_longjmp,(png_structp png_ptr, int val), PNG_NORETURN)
png_voidp PNGAPI | png_get_error_ptr (png_const_structp png_ptr)
size_t | png_safecat (png_charp buffer, size_t bufsize, size_t pos, png_const_charp string)
void PNGAPI | png_set_error_fn (png_structp png_ptr, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warning_fn)
jmp_buf *PNGAPI | png_set_longjmp_fn (png_structp png_ptr, png_longjmp_ptr longjmp_fn, size_t jmp_buf_size)
void PNGAPI | png_warning (png_structp png_ptr, png_const_charp warning_message)
void | png_warning_parameter (png_warning_parameters p, int number, png_const_charp string)
void | png_warning_parameter_signed (png_warning_parameters p, int number, int format, png_int_32 value)
void | png_warning_parameter_unsigned (png_warning_parameters p, int number, int format, png_alloc_size_t value)
static void png_default_warning | PNGARG ((png_structp png_ptr, png_const_charp warning_message))

## Variables

static PNG_CONST char | png_digit [16]

## Macro Definition Documentation

#define fixed_message "fixed point overflow in "

Referenced by PNG_FUNCTION().

#define fixed_message_ln ((sizeof fixed_message)-1)

Referenced by PNG_FUNCTION().

#define isnonalpha | ( |  | c | ) | ((c) < 65 || (c) > 122 || ((c) > 90 && (c) < 97))

Definition at line 374 of file pngerror.c.

Referenced by png_format_buffer().

#define PNG_MAX_ERROR_TEXT 64

Definition at line 380 of file pngerror.c.

Referenced by png_chunk_warning(), png_format_buffer(), and PNG_FUNCTION().

## Function Documentation

void PNGAPI png_benign_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |  |

Definition at line 359 of file pngerror.c.

References png_error(), PNG_FLAG_BENIGN_ERRORS_WARN, and png_warning().

Referenced by png_push_read_chunk(), png_read_end(), and png_read_row().

void PNGAPI png_chunk_benign_error | ( | png_structp | png_ptr,
|  | png_const_charp | error_message
| ) |  |

Definition at line 463 of file pngerror.c.

References png_chunk_warning(), and PNG_FLAG_BENIGN_ERRORS_WARN.

Referenced by png_crc_finish(), and png_handle_PLTE().

void PNGAPI png_chunk_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |  |

Definition at line 446 of file pngerror.c.

References NULL, png_format_buffer(), PNG_MAX_ERROR_TEXT, and png_warning().

Referenced by png_chunk_benign_error(), png_crc_finish(), png_handle_PLTE(), and png_inflate().

static void png_default_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |  |

static

Definition at line 593 of file pngerror.c.

References PNG_LITERAL_SHARP, PNG_STRING_NEWLINE, and PNG_UNUSED.

Referenced by png_warning().

static void png_format_buffer | ( | png_structp | png_ptr,
|  | png_charp | buffer,
|  | png_const_charp | error_message
| ) |  |

static

Definition at line 383 of file pngerror.c.

References png_struct_def::chunk_name, int, isnonalpha, NULL, PNG_LITERAL_LEFT_SQUARE_BRACKET, PNG_LITERAL_RIGHT_SQUARE_BRACKET, and PNG_MAX_ERROR_TEXT.

Referenced by png_chunk_warning().

png_charp png_format_number | ( | png_const_charp | start,
|  | png_charp | end,
|  | int | format,
|  | png_alloc_size_t | number
| ) |  |

Definition at line 131 of file pngerror.c.

References sort_controllers::output, PNG_NUMBER_FORMAT_02u, PNG_NUMBER_FORMAT_02x, PNG_NUMBER_FORMAT_fixed, PNG_NUMBER_FORMAT_u, and PNG_NUMBER_FORMAT_x.

void png_formatted_warning | ( | png_structp | png_ptr,
|  | png_warning_parameters | p,
|  | png_const_charp | message
| ) |  |

Definition at line 281 of file pngerror.c.

References i, NULL, png_warning(), and PNG_WARNING_PARAMETER_COUNT.

Referenced by if(), png_check_keyword(), png_decompress_chunk(), png_handle_cHRM(), png_handle_gAMA(), png_handle_sRGB(), png_text_compress(), and png_zlib_release().

static PNG_FUNCTION | ( | void | ,
|  | png_default_error | ,
|  | PNGARG((png_structp png_ptr, png_const_charp error_message)) | ,
|  | PNG_NORETURN |
| ) |  |

static

PNG_FUNCTION | ( | void | ,
|  | PNGAPI | png_error,
|  | (png_structp png_ptr, png_const_charp error_message) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 38 of file pngerror.c.

References i, NULL, PNG_FLAG_STRIP_ERROR_NUMBERS, PNG_FLAG_STRIP_ERROR_TEXT, and PNG_LITERAL_SHARP.

PNG_FUNCTION | ( | void | ,
|  | png_fixed_error | ,
|  | (png_structp png_ptr, png_const_charp name) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 476 of file pngerror.c.

References fixed_message, fixed_message_ln, NULL, png_error(), PNG_MAX_ERROR_TEXT, and png_memcpy.

static PNG_FUNCTION | ( | void | ,
|  | png_default_error | ,
|  | (png_structp png_ptr, png_const_charp error_message) | ,
|  | PNG_NORETURN |
| ) |  |

static

Definition at line 517 of file pngerror.c.

References NULL, PNG_LITERAL_SHARP, PNG_STRING_NEWLINE, and PNG_UNUSED.

PNG_FUNCTION | ( | void | ,
|  | PNGAPI | png_longjmp,
|  | (png_structp png_ptr, int val) | ,
|  | PNG_NORETURN |
| ) |  |

Definition at line 564 of file pngerror.c.

References PNG_ABORT, png_memcpy, and png_sizeof.

png_voidp PNGAPI png_get_error_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 664 of file pngerror.c.

References NULL.

size_t png_safecat | ( | png_charp | buffer,
|  | size_t | bufsize,
|  | size_t | pos,
|  | png_const_charp | string
| ) |  |

Definition at line 110 of file pngerror.c.

References NULL.

Referenced by png_user_version_check(), png_warning_parameter(), and png_zlib_claim().

void PNGAPI png_set_error_fn | ( | png_structp | png_ptr,
|  | png_voidp | error_ptr,
|  | png_error_ptr | error_fn,
|  | png_error_ptr | warning_fn
| ) |  |

Definition at line 643 of file pngerror.c.

References png_struct_def::error_fn, png_struct_def::error_ptr, NULL, and PNG_UNUSED.

Referenced by PNG_FUNCTION(), and test_one_file().

jmp_buf* PNGAPI png_set_longjmp_fn | ( | png_structp | png_ptr,
|  | png_longjmp_ptr | longjmp_fn,
|  | size_t | jmp_buf_size
| ) |  |

Definition at line 501 of file pngerror.c.

References NULL, and png_sizeof.

void PNGAPI png_warning | ( | png_structp | png_ptr,
|  | png_const_charp | warning_message
| ) |  |

Definition at line 214 of file pngerror.c.

References NULL, png_default_warning(), PNG_FLAG_STRIP_ERROR_NUMBERS, PNG_FLAG_STRIP_ERROR_TEXT, and PNG_LITERAL_SHARP.

Referenced by if(), png_benign_error(), png_build_gamma_table(), png_check_cHRM_fixed(), png_check_IHDR(), png_check_keyword(), png_chunk_warning(), png_convert_to_rfc1123(), png_data_freer(), png_decompress_chunk(), png_do_encode_alpha(), png_do_read_transformations(), png_formatted_warning(), PNG_FUNCTION(), png_get_fixed_point(), png_handle_bKGD(), png_handle_cHRM(), png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), png_handle_zTXt(), png_init_filter_heuristics(), png_init_read_transformations(), png_muldiv_warn(), png_process_IDAT_data(), png_push_handle_iTXt(), png_push_handle_tEXt(), png_push_handle_unknown(), png_push_handle_zTXt(), png_push_read_iTXt(), png_push_read_tEXt(), png_push_read_zTXt(), png_read_finish_row(), png_read_image(), png_read_row(), png_set_background_fixed(), png_set_compression_buffer_size(), png_set_compression_method(), png_set_compression_window_bits(), png_set_crc_action(), png_set_filter(), png_set_gAMA_fixed(), png_set_hIST(), png_set_iCCP(), png_set_pCAL(), png_set_PLTE(), png_set_read_fn(), png_set_rgb_to_gray_fixed(), png_set_sCAL(), png_set_sCAL_fixed(), png_set_sCAL_s(), png_set_sPLT(), png_set_text_2(), png_set_text_compression_method(), png_set_text_compression_window_bits(), png_set_tIME(), png_set_tRNS(), png_set_unknown_chunks(), png_set_write_fn(), png_user_version_check(), png_write_bKGD(), png_write_end(), png_write_hIST(), png_write_iCCP(), png_write_IHDR(), png_write_info(), png_write_info_before_PLTE(), png_write_iTXt(), png_write_oFFs(), png_write_pCAL(), png_write_pHYs(), png_write_PLTE(), png_write_row(), png_write_sBIT(), png_write_sCAL_s(), png_write_sRGB(), png_write_tIME(), png_write_tRNS(), png_XYZ_from_xy_checked(), and png_zlib_release().

void png_warning_parameter | ( | png_warning_parameters | p,
|  | int | number,
|  | png_const_charp | string
| ) |  |

Definition at line 244 of file pngerror.c.

References png_safecat(), and PNG_WARNING_PARAMETER_COUNT.

Referenced by png_warning_parameter_signed(), png_warning_parameter_unsigned(), and png_zlib_release().

void png_warning_parameter_signed | ( | png_warning_parameters | p,
|  | int | number,
|  | int | format,
|  | png_int_32 | value
| ) |  |

Definition at line 260 of file pngerror.c.

References PNG_FORMAT_NUMBER, PNG_NUMBER_BUFFER_SIZE, png_warning_parameter(), str, and u.

Referenced by png_decompress_chunk(), png_handle_cHRM(), png_handle_gAMA(), png_handle_sRGB(), png_text_compress(), and png_zlib_release().

void png_warning_parameter_unsigned | ( | png_warning_parameters | p,
|  | int | number,
|  | int | format,
|  | png_alloc_size_t | value
| ) |  |

Definition at line 252 of file pngerror.c.

References PNG_FORMAT_NUMBER, PNG_NUMBER_BUFFER_SIZE, and png_warning_parameter().

Referenced by if(), and png_check_keyword().

static void png_default_warning PNGARG | ( | (png_structp png_ptr, png_const_charp warning_message) |  | ) |

static

## Variable Documentation

PNG_CONST char png_digit[16]

static

Initial value:
= {
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9',
'A', 'B', 'C', 'D', 'E', 'F'
}

Definition at line 375 of file pngerror.c.